> This project is currently in development, this is NOT ready for production use

> As for auto updating features, Korbs Studio does offer it's own update server at a montly fee of $4.23/month

If you have any question concerning FalixNodes Desktop or Nexus Polestar development, you can either submit an issue or email me at [hello@korbsstudio.com](mailto:hello@korbsstudio.com).

___

# Nexus Polestar
A template replacement for FalixNodes Desktop.

![](https://cdn.korbsstudio.com/images/nexus-polestar-cover.png)

___

## What was FalixNodes Desktop?
FalixNodes Desktop was developed by Korbs Studio, a FalixNodes Limited contractor. It was intended for its desktop customers to use FalixNodes more quickly and conveniently by allowing them to easily access both the client and game panels presented by FalixNodes. The capabilities of how the software works have progressed over time, and improved performance and security practices have been put in place to make the customer experience more efficient and trustworthy.

Sadly, the software was [discontinued by Korbs Studio on November 19th of 2022](https://falixnodes.net/blog/sunsetting-apps/). 

This is a bit of a disappointed, as some major features were being applied to v4 of FalixNodes Desktop, which remained in development for way over a year and never reached production. This forth major version was suppose to get amazing features like built-in SFTP manager, VPN(This was drop either way, requested by FalixNodes Limited CEO), better system optimizations, and a command menu. One of the feature did that come to light and was finished during the development phase was the command menu powered by Ninja Keys.

[You can view more about what was suppose to happen in v4.](https://falixnodes.net/blog/sunsetting-apps/#:~:text=to%20webview%20issues.-,The%20Future%20%2D%20v4,-Since%20the%20software)

From the blog post about this matter:

> Final thoughts from the developer: I've enjoyed creating and making updates to both FalixNodes Desktop and FalixNodes App for desktop and mobile over the years for the company, it's sad to sunset these apps, but I don't have time anymore for these and no longer movivation to continue forward. Thanks to FalixNodes Desktop, I've gained a lot more experience and knowledge in the ElectronJS framework and how to work in it, and create amazing things; and thanks to FalixNodes app which allowed me to learn about mobile development using a framework like React Native and getting to know the workflow behind Expo. While I'm not going to be working on our applications anymore, I will still be working at FalixNodes Limited as our website developer for our homepage.

## Then Why the Template?
Well, it's come to my attention after many emails from other companies, even after being discontinued, they have forked the project and are using this for their customers. So, I created this template for them and for more to come, as I don't want these companies using outdated source code.

So, here is Nexus Polestar, a template they can build their desktop app on top of for their customers, to replace the old source code from FalixNodes Desktop.

## What's the Difference?
While FalixNodes Desktop has always been constructed using vanilla HTML, CSS, and JavaScript, as well as primitive code from 4 years ago and older to still navigate and add additional settings, Nexus Polestar will be developed with Astro, as well as SCSS and more modernized scripts for features such as navigating and additional settings. 

By using Astro, I can make the template more component based, allowing for more flexiblity for other developers at these other companies.

___

## In Development
The following features are planned:
 - Notification System*
 - System Preference Respect**
 - Components for:
   - Sidebar
   - Notifications
   - Navigation
   - Overlays
   - Settings

`*` This is subject to change

`**` Help Wanted

___

# Working in Nexus Polestar
## Building
The following is required on your workstation:
 - NodeJS v16.12.0 and up
 - Python 3.10 or up
 - Yarn
 - Visual C++ Redistributable (Windows)
 - Visual Studio (Windows and macOS)
   - Development for C++
 - g++ (Linux)

 > If you're using Windows, please be using Windows 10 or Windows 11. Windows 8.1 or older are not supported by Korbs Studio and Nexus Polestar, older versions may be able to run the application but may run into some issues along the way.

Install Packages:
```
yarn
```

Then, to start the template:
```
yarn start
```

The `yarn start` command will it in development mode, in this mode, Electron will load a URL instead which is `localhost:3000`. This will not be the case in production mode for security purposes.
This URL won't load up right away by Astro, wait a few moments, then press `Ctrl` + `R` in the app.


Build :
```
yarn build
```

The Electron build will use the SH file included(Tested on Linux only) to fix a path issue in Astro. 

___

## Support
If you are having issues with the template, you can either submit an [issue](https://code.korbsstudio.com/KorbsStudio/nexus-polestar/-/issues) or [contact Korbs Studio by email](mailto:support@korbsstudio.com).

> Disclaimer: Korbs Studio does not work for any projects or companies that use this template. So, if you're using a software built on Nexus Polestar, please contact the company or have the company contact Korbs Studio.

___

## Also Check Out:
 - [Electron FAQ](https://www.electronjs.org/docs/latest/faq)
 - [Best Practice - Performance](https://www.electronjs.org/docs/latest/tutorial/performance)
 - [Best Practice - Security](https://www.electronjs.org/docs/latest/tutorial/security)
 - [Why Astro?](https://docs.astro.build/en/concepts/why-astro/)

## Acknowledgements
### Frameworks
 - App built on: [Electron](https://www.electronjs.org) and [Astro](https://astro.build)
 - Styled with: [Sass](https://sass-lang.com/)

### Packages Used
 - Distrubting with: [Electron Builder](https://www.electron.build)
 - For Blur composition effect: [Glasstron Clarity](https://www.npmjs.com/package/glasstron-clarity)

### Scripts
 - Navigation: [Tabbed Navigation using Vanilla Javascript](https://codepen.io/alpha1337/pen/mxWBpq)

> It's already been made well clear, Nexus Polestar is inspired by FalixNodes Desktop.